//
//  HomeMainVC.m
//  keyBoard
//
//  Created by Mac on 2025/11/6.
//

#import "HomeMainVC.h"
#import "HomeHeadView.h"
#import "KBPanModalView.h"

@interface HomeMainVC ()
@property (nonatomic, strong) HomeHeadView *headView;
@property (nonatomic, strong) KBPanModalView *simplePanModalView;

@end

@implementation HomeMainVC

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIImageView *bgImageView = [[UIImageView alloc] init];
    bgImageView.image = [UIImage imageNamed:@"home_bg_image"];
    [self.view addSubview:bgImageView];
    [bgImageView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.edges.equalTo(self.view);
    }];
//    CGFloat topV = (500);

    [self.view addSubview:self.headView];
    [self setupMas];
    // 创建sheetVC
    self.simplePanModalView = [[KBPanModalView alloc] init];
    // 使用宏，避免误写成函数指针判断导致恒为 true
    if (KB_DEVICE_HAS_NOTCH) {
        self.simplePanModalView.minHeight = 473 - 44 + KB_NAV_TOTAL_HEIGHT;
    }else{
        self.simplePanModalView.minHeight = 473 - 44 + KB_NAV_TOTAL_HEIGHT;
//
    }
    self.simplePanModalView.topInset = 100;
    [self.simplePanModalView presentInView:self.view];
}

- (void)setupMas{
    [self.headView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.right.equalTo(self.view);
        make.top.equalTo(self.view).offset(KB_NAV_TOTAL_HEIGHT);
        make.height.mas_equalTo(473 - 44);
    }];
}


#pragma mark - lazy
- (HomeHeadView *)headView{
    if (!_headView) {
        _headView = [[HomeHeadView alloc] init];
    }
    return _headView;
}


@end
